SystemOrganization addCategory: #'Equipement-TIT'!

Object subclass: #AnalogInput
	instanceVariableNames: 'pointValueAnalog label'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 16:18'!
initialize 
	pointValueAnalog:=0.
	label:='QWP1'.! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 16:17'!
label
	^label! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 16:14'!
label: aString 
	^'QWP1'! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 15:33'!
pointValue
		^pointValueAnalog! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 15:54'!
pointValue: aSmallInteger
	 aSmallInteger <0
	ifTrue: [pointValueAnalog:=0]
	ifFalse:[
				aSmallInteger >32767
				ifTrue:[pointValueAnalog:=32767]
				ifFalse:[pointValueAnalog:=aSmallInteger]
			]! !

Object subclass: #DigitalInput
	instanceVariableNames: 'pointValueAnalog label stateOn stateOff state'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!DigitalInput methodsFor: 'as yet unclassified' stamp: 'Label 5/25/2012 09:34'!
label: asString 
! !

!DigitalInput methodsFor: 'accessing' stamp: 'Label 5/25/2012 11:19'!
state
	^state.
	! !

!DigitalInput methodsFor: 'accessing' stamp: 'Label 5/25/2012 11:16'!
stateOff
	state := false.
	! !

!DigitalInput methodsFor: 'accessing' stamp: 'Label 5/25/2012 11:16'!
stateOn
	state := true.
	! !

Object subclass: #RFGenerator
	instanceVariableNames: 'labelDigitalInput pwrOn rfOn'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!RFGenerator methodsFor: 'accessing' stamp: 'Label 5/25/2012 10:04'!
inputPwron: aDigitalInput 
 	pwrOn := aDigitalInput.
	! !

!RFGenerator methodsFor: 'accessing' stamp: 'Label 5/25/2012 10:05'!
inputRfon: aDigitalInput 
	rfOn :=aDigitalInput ! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'Label 5/25/2012 11:08'!
isRunning
	^pwrOn state & rfOn state! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 17:12'!
label
	^labelDigitalInput ! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 17:11'!
label: aString! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 17:09'!
pwron 
	^0 ! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 17:13'!
pwron: aBool! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'Label 5/25/2012 08:33'!
rfon
	^0! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 17:13'!
rfon: aBool! !

TestCase subclass: #AnalogInputValue
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInputValue methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 16:26'!
setUp
	
	power:= AnalogInput new.
	power label: 'QPW1'.
	
	! !

!AnalogInputValue methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 16:26'!
testLabelShouldReturnQWP1

self assert: power label equals: 'QWP1'! !

!AnalogInputValue methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 15:59'!
testPointValueShouldReturn32767WhenTyping40000
	| power |
	power:= AnalogInput new.
	power label: 'QPW1'.
	power pointValue: 40000..
	self assert: power pointValue equals: 32767.! !

!AnalogInputValue methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 15:28'!
testPointValueShouldReturnFifteenThousand
	| power |
	power:= AnalogInput new.
	power label: 'QPW1'.
	power pointValue: 15000.
	self assert: power pointValue equals: 15000.! !

!AnalogInputValue methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 15:55'!
testPointValueShouldReturnZeroWhenTypingMinus1
	| power |
	power:= AnalogInput new.
	power label: 'QPW1'.
	power pointValue: -1.
	self assert: power pointValue equals: 0.! !

!AnalogInputValue methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 15:16'!
testPointValuueSouldReturnZero
	| power |
	power:= AnalogInput new.
	power label: 'QPW1'.
	self assert: power pointValue equals: 0.
	! !

TestCase subclass: #PowerDigitalInputValue
	instanceVariableNames: 'power digitalInput pwrOn'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!PowerDigitalInputValue methodsFor: 'as yet unclassified' stamp: 'Label 4/27/2012 17:15'!
setUp
	| pwron rfon myGenerator |
	pwron := DigitalInput new.
	pwron label: 'PWRON'.
	rfon := DigitalInput new.
	rfon label: 'RFON'.
	myGenerator := RFGenerator new.
	myGenerator
		inputPwron: pwrOn;
		inputRfon: rfon! !

TestCase subclass: #TestGenerator
	instanceVariableNames: 'pwron rfon myGenerator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!TestGenerator methodsFor: 'as yet unclassified' stamp: 'Label 5/25/2012 09:58'!
setUp 
pwron :=DigitalInput new. 
pwron label:  'PWRON'.
rfon :=DigitalInput new.
rfon label: 'RFON'.
myGenerator := RFGenerator new.
myGenerator
	inputPwron: pwron;
	inputRfon: rfon. ! !

!TestGenerator methodsFor: 'as yet unclassified' stamp: 'Label 5/25/2012 09:44'!
testpwrOnstateOffandrfonstateOff
	pwron stateOn.
	rfon stateOff.

	self assert: myGenerator isRunning equals: false.
! !

!TestGenerator methodsFor: 'as yet unclassified' stamp: 'Label 5/25/2012 11:02'!
testpwrOnstateOffandrfonstateOn
	pwron stateOff.
	rfon stateOn.

	self assert: myGenerator isRunning equals: false.
! !

!TestGenerator methodsFor: 'as yet unclassified' stamp: 'Label 5/25/2012 11:02'!
testpwrOnstateOnandrfonstateOff
	pwron stateOn.
	rfon stateOff.

	self assert: myGenerator isRunning equals: false.
! !

!TestGenerator methodsFor: 'as yet unclassified' stamp: 'Label 5/25/2012 11:03'!
testpwrOnstateOnandrfonstateOn
	pwron stateOn. 
	rfon stateOn. 

	self assert: myGenerator isRunning equals: true.
! !
